
import com.imsl.chart.*;
import java.awt.Color;

public class SampleChartBean {

    private JspBean bean;

    public SampleChartBean() {
        bean = new JspBean();
        bean.setSize(300, 300);
    }

    public void createChart(javax.servlet.http.HttpServletRequest request) {
        Chart chart = new Chart();
        bean.registerChart(chart, request);

        double y[] = {35., 20., 30., 40.};
        Pie pie = new Pie(chart, y);
        pie.setLabelType(Pie.LABEL_TYPE_TITLE);
        pie.setFillOutlineColor(Color.blue);

        PieSlice[] slice = pie.getPieSlice();

        slice[0].setFillColor(Color.red);
        slice[0].setTitle("Red");

        slice[1].setFillColor(Color.blue);
        slice[1].setTitle("Blue");
        slice[1].setFillOutlineColor(Color.yellow);

        slice[2].setFillColor(Color.black);
        slice[2].setTitle("Black");
        slice[2].setExplode(0.3);

        slice[3].setFillColor(Color.yellow);
        slice[3].setTitle("Yellow");
    }

    public String getImageTag() {
        return bean.getImageTag();
    }
}
